/*
 * @Author: WuWei
 * @Date: 2020-06-17 09:45:07
 * @LastEditors: WuWei
 * @LastEditTime: 2020-06-17 14:51:38
 * @Description:
 */
import 'package:flutter/widgets.dart';
import 'package:wisdom_cli/wisdom_cli.dart';

class InfoItem extends StatelessWidget {
  InfoItem({
    Key? key,

    /// [title]标题
    required this.title,

    /// [content] 对应内容
    required this.content,
  }) : super(key: key);

  /// [title]标题
  final String title;

  /// [content] 对应内容
  final String content;

  @override
  Widget build(BuildContext context) {
    return Wisdom.row(
        mainAxisAlignment: MainAxisAlignment.start,
        crossAxisAlignment: CrossAxisAlignment.start,
        margin: EdgeInsets.only(bottom: 5.pt),
        children: <Widget>[
          Wisdom(
            width: 124.pt,
            child: WisText('$title', color: Color(0xFF999999), size: 14.pt),
          ),
          Wisdom(
            child: Expanded(
                child:
                    WisText('$content', color: Color(0xFF333333), size: 14.pt)),
          ),
        ]);
  }
}
